Digilocker 2.0 Get Details
Introduction
Our Get Details API is your gateway to accessing comprehensive information about all the linked documents within a user's Digilocker account. With this powerful tool, you can seamlessly retrieve essential details like issuer ID ,issuer name , File ID of all linked documents making it easier than ever to manage and interact with the wealth of documents stored in a user's Digilocker account.
Note: If PAN is not linked with Digilocker Digilocker account of customer, you won't find the file details in here. Please use Pull documents v2 API for pulling PAN in that case.
API details
Endpoint
POST https://api.signzy.app/api/v3/digilocker-v2/getDetailsPOST https://api-preproduction.signzy.app/api/v3/digilocker-v2/getDetailsRequest headers
Name | Value | Required | Description |
|---|---|---|---|
Content-Type | application/json | Mandatory | The type of content that the request body contains. |
Authorization | XXXXXXXXXXXXXXX | Mandatory | An authentication token to authorize the request. Reach out to the Signzy support team to get one created. |
Request body parameter
Parameter | Data Type | Description | Required |
|---|---|---|---|
requestId | String | Unique ID allocated after the authorization in digilocker iframe. This is returned as “requestId” in Create URL API. | Mandatory |
{
"requestId": "6523d076a92cfa002cbb559c"
}Code samples
package main
import (
"fmt"
"strings"
"net/http"
"io/ioutil"
)
func main() {
url := "https://api-preproduction.signzy.app/api/v3/digilocker-v2/getDetails"
method := "POST"
payload := strings.NewReader(`{
"requestId" : "6523e2dc5a9f9000112b19d8"
}`)
client := &http.Client {
}
req, err := http.NewRequest(method, url, payload)
if err != nil {
fmt.Println(err)
return
}
req.Header.Add("Authorization", "<Your Access Token>")
req.Header.Add("Content-Type", "application/json")
res, err := client.Do(req)
if err != nil {
fmt.Println(err)
return
}
defer res.Body.Close()
body, err := ioutil.ReadAll(res.Body)
if err != nil {
fmt.Println(err)
return
}
fmt.Println(string(body))
}Response body parameters
Parameter | Data Type | Description |
|---|---|---|
result | Object | Contains the result of the task. |
result.userDetails | Object | Contains the details of the Digilocker account user. |
result.userDetails.digilockerid | String | The Digilocker ID of the user. |
result.userDetails.name | String | Name of the user. |
result.userDetails.dob | String | Date of birth of the user. In format DD/MM/YYYY. |
result.userDetails.gender | String | Gender of the user. |
result.userDetails.eaadhaar | String | Indicates whether the user has an eAadhaar. “Y” if the user has eAadhaar else “N”. |
result.userDetails.mobile | String | Mobile number of the user. |
result.files | Array of Objects | Contains details of each Issued document associated with the user’s Digilocker account. |
result.files.name | String | Name of the document. |
result.files.type | String | Type of the document. Possible response “file” |
result.files.size | String | Size of the document file. (If available). |
result.files.date | String | Date when the file details are fetched. In format DD/MM/YYYY. |
result.files.parent | String | Parent of the user. (If available) |
result.files.mime | Array of strings | Multipurpose Internet Mail Extensions (MIME).Specifies the available format of data. |
result.files.doctype | String | Document type. |
result.files.description | String | Description of the document. |
result.files.issuerid | String | The issuer's identifier associated with the document. |
result.files.issuer | String | The issuer of the document. |
result.files.id | String | Unique ID that contains the issuer ID , DocType, and the unique Identification number of the specific document. (For example: in.gov.transport-DRVLC-Driving License number of the individual) |
// If the customer denies consent for accessing data on the digilocker screen
{
"error": {
"statusCode": 400,
"name": "error",
"message": "User denied the consent, please try again",
"status": 400,
"reason": "AUTH_FAIL",
"type": "Bad Request"
}
}
// If the customer clicks on “Return to Signzy” anytime during the digilocker journey
{
"error": {
"statusCode": 400,
"name": "error",
"message": "User cancelled the journey, please try again",
"status": 400,
"reason": "AUTH_FAIL",
"type": "Bad Request"
}
}
// Passing invalid Request ID
{
"error": {
"name": "error",
"message": "Invalid request Id",
"status": 400,
"reason": "VALIDATION_ERROR",
"type": "Bad Request",
"statusCode": 400
}
}Contact Us for Any Assistance
If you have any questions or need assistance, please reach out to our customer support team. You can contact us via email at [email protected]. We strive to provide prompt and reliable assistance, ensuring your queries are addressed effectively.
We value your feedback and are committed to making your experience smooth and enjoyable. Our team is dedicated to assisting you with any needs you may have. Thank you for choosing our services. We look forward to helping you!